@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

#SettingsPage {
  display: grid;

  grid-template-columns: auto;
  grid-template-rows: 50px auto;
  grid-template-areas:
    "nav"
    "main";

  header, main {
    padding-left: 100px;
    padding-right: 100px;
  }

  h1 {
    align-self: center;
    font-size: 40px;
    font-weight: normal;
  }

  nav {
    grid-area: nav;
  }

  main {
    grid-area: main;

    .Field {
      width: 400px;
    }

    .input-select-icon {
      width: 20px;
    }
  }

  h2 {
    padding-left: 8px;
    font-size: 18px;
    font-weight: normal;
  }
}

#SipSettingSection {
  main {
    display: grid;
    grid-template-columns: 400px 400px;
    grid-column-gap: 64px;
  }

  .SipSettingControl {
    margin-top: 16px;
  }
}

@include themify('page', $themes) {
  &#SettingsPage {
    font-family: themed('font-family');
    color: themed('text-primary');
    background-color: themed('background');
  }
}
